Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008731 [DCSS] Bug Report crash always 2014-06-23 07:27 2014-07-04 22:55
Reporter SchwaWarrior View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status resolved   Product Branch 0.15 ancient branch
Summary 0008731: Segfault game crash when I try to go up stairs
Description I'm in the Shoals, with an Alligator Snapping Turtle snapping at my heels, and I'm trying to go up the stairs to get away. Problem is that whenever I do so, my game crashes, saying it has a Segfault Error. This has happened three times in a row with the exact same going-up-stairs action (I have not tried a different staircase somewhere else on the level, mostly because I don't want to drag a dangerous turtle halfway across the level with me).

Log file: http://dobrazupa.org/morgue/SchwaWarrior/crash-SchwaWarrior-20140623-052159.txt [^]

I'm playing the latest Trunk build, on the CSZO server.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0008733resolvedPleasingFungus Game crashes if a water elemental I summon turns hostile and tries to follow me upstairs 
has duplicate 0008734resolvedPleasingFungus Smith God game crashes descending from Snake 1 to 2 

-  Notes
(0026609)
PleasingFungus (administrator)
2014-06-23 07:51

I have something that I think will fix this, but I'd really like a copy of the save to be sure. If you can log into cszo in console and use advanced options (in trunk) to dump your character, that'd be enormously helpful. (IRC can help walk you through this.)
(0026610)
SchwaWarrior (reporter)
2014-06-23 08:33

It happened a second time! Vaults:2 going down to Vaults:3. Here's the log for this one: http://dobrazupa.org/morgue/SchwaWarrior/crash-SchwaWarrior-20140623-060521.txt [^]

Here's a character dump: http://dobrazupa.org/morgue/SchwaWarrior/SchwaWarrior.txt [^]

And after lots of step-by-step help in the IRC, I managed to get a backup save file for you too: https://dobrazupa.org/saves/SchwaWarrior-crawl-git-cf26eb8ff3-140623-0633.tar.bz2 [^]

Let me know if you need anything else! That last one was a doozy.
(0026687)
PleasingFungus (administrator)
2014-07-04 22:55

17ba3dd85 seems to have fixed this.

- Issue History
Date Modified Username Field Change
2014-06-23 07:27 SchwaWarrior New Issue
2014-06-23 07:51 PleasingFungus Note Added: 0026609
2014-06-23 08:33 SchwaWarrior Note Added: 0026610
2014-06-23 17:47 PleasingFungus Relationship added has duplicate 0008733
2014-06-24 00:29 PleasingFungus Relationship added has duplicate 0008734
2014-07-04 22:55 PleasingFungus Note Added: 0026687
2014-07-04 22:55 PleasingFungus Status new => resolved
2014-07-04 22:55 PleasingFungus Fixed in Branch => 0.15 development branch
2014-07-04 22:55 PleasingFungus Resolution open => done
2014-07-04 22:55 PleasingFungus Assigned To => PleasingFungus


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker